// Code generated by protoc-gen-go. DO NOT EDIT.
// source: pb/book.proto

package bookpb

import (
	context "context"
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
	empty "github.com/golang/protobuf/ptypes/empty"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	_ "github.com/lyft/protoc-gen-validate/validate"
	_ "go.appointy.com/chaku/validate"
	field_mask "google.golang.org/genproto/protobuf/field_mask"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Genre int32

const (
	Genre_UNKNOWN  Genre = 0
	Genre_HORROR   Genre = 1
	Genre_THRILLER Genre = 2
	Genre_FICTION  Genre = 3
	Genre_OTHERS   Genre = 4
)

var Genre_name = map[int32]string{
	0: "UNKNOWN",
	1: "HORROR",
	2: "THRILLER",
	3: "FICTION",
	4: "OTHERS",
}

var Genre_value = map[string]int32{
	"UNKNOWN":  0,
	"HORROR":   1,
	"THRILLER": 2,
	"FICTION":  3,
	"OTHERS":   4,
}

func (x Genre) String() string {
	return proto.EnumName(Genre_name, int32(x))
}

func (Genre) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{0}
}

type Book struct {
	Id                   string               `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Title                string               `protobuf:"bytes,2,opt,name=title,proto3" json:"title,omitempty"`
	Author               *Author              `protobuf:"bytes,3,opt,name=author,proto3" json:"author,omitempty"`
	Rating               uint32               `protobuf:"varint,4,opt,name=rating,proto3" json:"rating,omitempty"`
	Genre                Genre                `protobuf:"varint,5,opt,name=genre,proto3,enum=appointy.book.v1.Genre" json:"genre,omitempty"`
	PublishDate          *timestamp.Timestamp `protobuf:"bytes,6,opt,name=publishDate,proto3" json:"publishDate,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *Book) Reset()         { *m = Book{} }
func (m *Book) String() string { return proto.CompactTextString(m) }
func (*Book) ProtoMessage()    {}
func (*Book) Descriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{0}
}

func (m *Book) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Book.Unmarshal(m, b)
}
func (m *Book) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Book.Marshal(b, m, deterministic)
}
func (m *Book) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Book.Merge(m, src)
}
func (m *Book) XXX_Size() int {
	return xxx_messageInfo_Book.Size(m)
}
func (m *Book) XXX_DiscardUnknown() {
	xxx_messageInfo_Book.DiscardUnknown(m)
}

var xxx_messageInfo_Book proto.InternalMessageInfo

func (m *Book) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Book) GetTitle() string {
	if m != nil {
		return m.Title
	}
	return ""
}

func (m *Book) GetAuthor() *Author {
	if m != nil {
		return m.Author
	}
	return nil
}

func (m *Book) GetRating() uint32 {
	if m != nil {
		return m.Rating
	}
	return 0
}

func (m *Book) GetGenre() Genre {
	if m != nil {
		return m.Genre
	}
	return Genre_UNKNOWN
}

func (m *Book) GetPublishDate() *timestamp.Timestamp {
	if m != nil {
		return m.PublishDate
	}
	return nil
}

type Author struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Email                string   `protobuf:"bytes,3,opt,name=email,proto3" json:"email,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Author) Reset()         { *m = Author{} }
func (m *Author) String() string { return proto.CompactTextString(m) }
func (*Author) ProtoMessage()    {}
func (*Author) Descriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{1}
}

func (m *Author) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Author.Unmarshal(m, b)
}
func (m *Author) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Author.Marshal(b, m, deterministic)
}
func (m *Author) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Author.Merge(m, src)
}
func (m *Author) XXX_Size() int {
	return xxx_messageInfo_Author.Size(m)
}
func (m *Author) XXX_DiscardUnknown() {
	xxx_messageInfo_Author.DiscardUnknown(m)
}

var xxx_messageInfo_Author proto.InternalMessageInfo

func (m *Author) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Author) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Author) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

type CreateBookRequest struct {
	Book                 *Book    `protobuf:"bytes,1,opt,name=book,proto3" json:"book,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateBookRequest) Reset()         { *m = CreateBookRequest{} }
func (m *CreateBookRequest) String() string { return proto.CompactTextString(m) }
func (*CreateBookRequest) ProtoMessage()    {}
func (*CreateBookRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{2}
}

func (m *CreateBookRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateBookRequest.Unmarshal(m, b)
}
func (m *CreateBookRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateBookRequest.Marshal(b, m, deterministic)
}
func (m *CreateBookRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateBookRequest.Merge(m, src)
}
func (m *CreateBookRequest) XXX_Size() int {
	return xxx_messageInfo_CreateBookRequest.Size(m)
}
func (m *CreateBookRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateBookRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateBookRequest proto.InternalMessageInfo

func (m *CreateBookRequest) GetBook() *Book {
	if m != nil {
		return m.Book
	}
	return nil
}

type GetBookRequest struct {
	Id                   string                `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	ViewMask             *field_mask.FieldMask `protobuf:"bytes,2,opt,name=viewMask,proto3" json:"viewMask,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *GetBookRequest) Reset()         { *m = GetBookRequest{} }
func (m *GetBookRequest) String() string { return proto.CompactTextString(m) }
func (*GetBookRequest) ProtoMessage()    {}
func (*GetBookRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{3}
}

func (m *GetBookRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBookRequest.Unmarshal(m, b)
}
func (m *GetBookRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBookRequest.Marshal(b, m, deterministic)
}
func (m *GetBookRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBookRequest.Merge(m, src)
}
func (m *GetBookRequest) XXX_Size() int {
	return xxx_messageInfo_GetBookRequest.Size(m)
}
func (m *GetBookRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBookRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetBookRequest proto.InternalMessageInfo

func (m *GetBookRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *GetBookRequest) GetViewMask() *field_mask.FieldMask {
	if m != nil {
		return m.ViewMask
	}
	return nil
}

type UpdateBookRequest struct {
	Book                 *Book                 `protobuf:"bytes,1,opt,name=book,proto3" json:"book,omitempty"`
	UpdateMask           *field_mask.FieldMask `protobuf:"bytes,2,opt,name=updateMask,proto3" json:"updateMask,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *UpdateBookRequest) Reset()         { *m = UpdateBookRequest{} }
func (m *UpdateBookRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateBookRequest) ProtoMessage()    {}
func (*UpdateBookRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{4}
}

func (m *UpdateBookRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateBookRequest.Unmarshal(m, b)
}
func (m *UpdateBookRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateBookRequest.Marshal(b, m, deterministic)
}
func (m *UpdateBookRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateBookRequest.Merge(m, src)
}
func (m *UpdateBookRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateBookRequest.Size(m)
}
func (m *UpdateBookRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateBookRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateBookRequest proto.InternalMessageInfo

func (m *UpdateBookRequest) GetBook() *Book {
	if m != nil {
		return m.Book
	}
	return nil
}

func (m *UpdateBookRequest) GetUpdateMask() *field_mask.FieldMask {
	if m != nil {
		return m.UpdateMask
	}
	return nil
}

type DeleteBookRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteBookRequest) Reset()         { *m = DeleteBookRequest{} }
func (m *DeleteBookRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteBookRequest) ProtoMessage()    {}
func (*DeleteBookRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{5}
}

func (m *DeleteBookRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteBookRequest.Unmarshal(m, b)
}
func (m *DeleteBookRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteBookRequest.Marshal(b, m, deterministic)
}
func (m *DeleteBookRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteBookRequest.Merge(m, src)
}
func (m *DeleteBookRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteBookRequest.Size(m)
}
func (m *DeleteBookRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteBookRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteBookRequest proto.InternalMessageInfo

func (m *DeleteBookRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type ListBookRequest struct {
	ViewMask             *field_mask.FieldMask `protobuf:"bytes,1,opt,name=viewMask,proto3" json:"viewMask,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ListBookRequest) Reset()         { *m = ListBookRequest{} }
func (m *ListBookRequest) String() string { return proto.CompactTextString(m) }
func (*ListBookRequest) ProtoMessage()    {}
func (*ListBookRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{6}
}

func (m *ListBookRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListBookRequest.Unmarshal(m, b)
}
func (m *ListBookRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListBookRequest.Marshal(b, m, deterministic)
}
func (m *ListBookRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListBookRequest.Merge(m, src)
}
func (m *ListBookRequest) XXX_Size() int {
	return xxx_messageInfo_ListBookRequest.Size(m)
}
func (m *ListBookRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListBookRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListBookRequest proto.InternalMessageInfo

func (m *ListBookRequest) GetViewMask() *field_mask.FieldMask {
	if m != nil {
		return m.ViewMask
	}
	return nil
}

type ListBookResponse struct {
	Books                []*Book  `protobuf:"bytes,1,rep,name=books,proto3" json:"books,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListBookResponse) Reset()         { *m = ListBookResponse{} }
func (m *ListBookResponse) String() string { return proto.CompactTextString(m) }
func (*ListBookResponse) ProtoMessage()    {}
func (*ListBookResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_bb1322ff35a7af42, []int{7}
}

func (m *ListBookResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListBookResponse.Unmarshal(m, b)
}
func (m *ListBookResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListBookResponse.Marshal(b, m, deterministic)
}
func (m *ListBookResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListBookResponse.Merge(m, src)
}
func (m *ListBookResponse) XXX_Size() int {
	return xxx_messageInfo_ListBookResponse.Size(m)
}
func (m *ListBookResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListBookResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListBookResponse proto.InternalMessageInfo

func (m *ListBookResponse) GetBooks() []*Book {
	if m != nil {
		return m.Books
	}
	return nil
}

func init() {
	proto.RegisterEnum("appointy.book.v1.Genre", Genre_name, Genre_value)
	proto.RegisterType((*Book)(nil), "appointy.book.v1.Book")
	proto.RegisterType((*Author)(nil), "appointy.book.v1.Author")
	proto.RegisterType((*CreateBookRequest)(nil), "appointy.book.v1.CreateBookRequest")
	proto.RegisterType((*GetBookRequest)(nil), "appointy.book.v1.GetBookRequest")
	proto.RegisterType((*UpdateBookRequest)(nil), "appointy.book.v1.UpdateBookRequest")
	proto.RegisterType((*DeleteBookRequest)(nil), "appointy.book.v1.DeleteBookRequest")
	proto.RegisterType((*ListBookRequest)(nil), "appointy.book.v1.ListBookRequest")
	proto.RegisterType((*ListBookResponse)(nil), "appointy.book.v1.ListBookResponse")
}

func init() { proto.RegisterFile("pb/book.proto", fileDescriptor_bb1322ff35a7af42) }

var fileDescriptor_bb1322ff35a7af42 = []byte{
	// 651 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x54, 0xcd, 0x4e, 0xdb, 0x4a,
	0x18, 0xc5, 0xbf, 0x84, 0x2f, 0xc0, 0x75, 0x46, 0x57, 0xe0, 0x9b, 0xab, 0x2b, 0x7c, 0xdd, 0x4d,
	0x8a, 0x5a, 0xc7, 0x4d, 0x25, 0x16, 0xa8, 0x8b, 0x36, 0x10, 0x20, 0x0a, 0x4d, 0xa4, 0x21, 0xa8,
	0x52, 0x37, 0xd5, 0x98, 0x0c, 0xc1, 0x8a, 0x13, 0xbb, 0xf1, 0x98, 0x8a, 0x6d, 0x37, 0x95, 0x78,
	0x83, 0xbe, 0x4a, 0x57, 0x7d, 0x1d, 0xfa, 0x04, 0x5d, 0x56, 0x33, 0x76, 0x08, 0xc4, 0x21, 0xa2,
	0x52, 0x77, 0xc9, 0x9c, 0xe3, 0xf3, 0x9d, 0xef, 0xcc, 0xb1, 0x61, 0x2d, 0xf2, 0xaa, 0x5e, 0x18,
	0x0e, 0x9c, 0x68, 0x1c, 0xb2, 0x10, 0x19, 0x24, 0x8a, 0x42, 0x7f, 0xc4, 0xae, 0x1c, 0x71, 0x78,
	0xf9, 0xa2, 0xfc, 0xf7, 0x25, 0x09, 0xfc, 0x1e, 0x61, 0xb4, 0x7a, 0x76, 0x41, 0x06, 0x49, 0xca,
	0x2b, 0xff, 0xdb, 0x0f, 0xc3, 0x7e, 0x40, 0xab, 0xe2, 0x9f, 0x97, 0x9c, 0x57, 0xe9, 0x30, 0x62,
	0x57, 0x19, 0xb8, 0x35, 0x0b, 0x32, 0x7f, 0x48, 0x63, 0x46, 0x86, 0x51, 0x46, 0xd8, 0xbc, 0xd5,
	0x9c, 0xfc, 0xc8, 0x00, 0x6b, 0xf6, 0xc9, 0x73, 0x9f, 0x06, 0xbd, 0x0f, 0x43, 0x12, 0x67, 0x06,
	0xed, 0xaf, 0x32, 0xa8, 0xf5, 0x30, 0x1c, 0xa0, 0x7f, 0x40, 0xf6, 0x7b, 0xa6, 0x64, 0x49, 0x95,
	0x95, 0xfa, 0xca, 0xb7, 0x9b, 0xef, 0x8a, 0x3a, 0x96, 0x0d, 0x09, 0xcb, 0x7e, 0x0f, 0x6d, 0x81,
	0xc6, 0x7c, 0x16, 0x50, 0x53, 0x9e, 0x45, 0xd3, 0x73, 0xe4, 0x82, 0x4e, 0x12, 0x76, 0x11, 0x8e,
	0x4d, 0xc5, 0x92, 0x2a, 0xc5, 0x9a, 0xe9, 0xcc, 0xae, 0xed, 0xbc, 0x11, 0x38, 0xce, 0x78, 0xe8,
	0x29, 0xe8, 0x63, 0xc2, 0xfc, 0x51, 0xdf, 0x54, 0x2d, 0xa9, 0xb2, 0x56, 0x2f, 0x71, 0xcd, 0xd5,
	0x6d, 0x70, 0x25, 0x57, 0x76, 0x15, 0x57, 0x75, 0x35, 0x9c, 0x11, 0xd0, 0x73, 0xd0, 0xfa, 0x74,
	0x34, 0xa6, 0xa6, 0x66, 0x49, 0x95, 0xf5, 0xda, 0x66, 0x5e, 0xfb, 0x90, 0xc3, 0x38, 0x65, 0xa1,
	0x57, 0x50, 0x8c, 0x12, 0x2f, 0xf0, 0xe3, 0x8b, 0x7d, 0xc2, 0xa8, 0xa9, 0x0b, 0x43, 0x65, 0x27,
	0x0d, 0xc2, 0x99, 0x04, 0xe1, 0x74, 0x27, 0x11, 0xe2, 0xbb, 0xf4, 0xdd, 0xe2, 0xcf, 0x1b, 0x57,
	0xfa, 0xfc, 0xc3, 0x55, 0xbc, 0x41, 0x6c, 0x07, 0xa0, 0xa7, 0xb6, 0x17, 0x85, 0xf3, 0x1f, 0xa8,
	0x23, 0x32, 0x9c, 0x93, 0x8d, 0x38, 0xe6, 0xd9, 0xd1, 0x21, 0xf1, 0x03, 0x91, 0xcc, 0xfd, 0xec,
	0xc4, 0xf9, 0xee, 0x32, 0x9f, 0x46, 0x12, 0x66, 0xb7, 0xa0, 0xb4, 0x37, 0xa6, 0x84, 0x51, 0x7e,
	0x1d, 0x98, 0x7e, 0x4c, 0x68, 0xcc, 0xd0, 0x0e, 0xa8, 0x7c, 0x4b, 0x31, 0xba, 0x58, 0xdb, 0xc8,
	0xef, 0xce, 0xc9, 0x75, 0xe0, 0xaa, 0xda, 0xb5, 0x24, 0xc6, 0x72, 0xc4, 0x3e, 0x83, 0xf5, 0x43,
	0xca, 0xee, 0x2a, 0x2d, 0x58, 0x61, 0x07, 0x0a, 0x97, 0x3e, 0xfd, 0xf4, 0x96, 0xc4, 0x03, 0xb1,
	0xc6, 0xbc, 0xbc, 0x0e, 0x78, 0x71, 0x38, 0x03, 0xdf, 0x72, 0xed, 0x2f, 0x12, 0x94, 0x4e, 0xa3,
	0xde, 0x9f, 0xb1, 0x8c, 0x76, 0x01, 0x12, 0x21, 0xf6, 0x48, 0x1f, 0x77, 0xd8, 0xb6, 0x03, 0xa5,
	0x7d, 0x1a, 0xd0, 0xfb, 0x46, 0x1e, 0xde, 0xd8, 0x6e, 0xc2, 0x5f, 0xc7, 0x7e, 0xcc, 0xee, 0xdb,
	0x9e, 0x86, 0x20, 0xfd, 0x46, 0x08, 0xaf, 0xc1, 0x98, 0x4a, 0xc5, 0x51, 0x38, 0x8a, 0x29, 0x7a,
	0x06, 0x1a, 0x5f, 0x29, 0x36, 0x25, 0x4b, 0x79, 0x38, 0x03, 0x9c, 0x92, 0xb6, 0x0f, 0x41, 0x13,
	0x0d, 0x46, 0x45, 0x58, 0x3e, 0x6d, 0xb7, 0xda, 0x9d, 0x77, 0x6d, 0x63, 0x09, 0x01, 0xe8, 0x47,
	0x1d, 0x8c, 0x3b, 0xd8, 0x90, 0xd0, 0x2a, 0x14, 0xba, 0x47, 0xb8, 0x79, 0x7c, 0xdc, 0xc0, 0x86,
	0xcc, 0x69, 0x07, 0xcd, 0xbd, 0x6e, 0xb3, 0xd3, 0x36, 0x14, 0x4e, 0xeb, 0x74, 0x8f, 0x1a, 0xf8,
	0xc4, 0x50, 0x6b, 0xd7, 0x0a, 0x68, 0x5c, 0x38, 0x46, 0x2d, 0x80, 0x69, 0x97, 0xd0, 0x93, 0xfc,
	0xfc, 0x5c, 0xd3, 0xca, 0x0f, 0x98, 0xb4, 0x97, 0x50, 0x03, 0x96, 0xb3, 0x2e, 0x21, 0x6b, 0xde,
	0xcb, 0xc7, 0x1e, 0x27, 0xd3, 0x02, 0x98, 0x96, 0x65, 0x9e, 0xa7, 0x5c, 0x95, 0xca, 0x1b, 0xb9,
	0x1b, 0x68, 0xf0, 0xcf, 0x62, 0x2a, 0x36, 0xbd, 0xf0, 0x79, 0x62, 0xb9, 0x3a, 0x2c, 0x10, 0x3b,
	0x81, 0xc2, 0xe4, 0x0a, 0xd1, 0xff, 0x79, 0xa9, 0x99, 0xa6, 0x94, 0xed, 0x45, 0x94, 0xb4, 0x01,
	0xf6, 0x52, 0xbd, 0xf0, 0x5e, 0xe7, 0x68, 0xe4, 0x79, 0xba, 0x18, 0xf8, 0xf2, 0x57, 0x00, 0x00,
	0x00, 0xff, 0xff, 0x70, 0xc3, 0x5b, 0x09, 0x1b, 0x06, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// BooksClient is the client API for Books service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type BooksClient interface {
	CreateBook(ctx context.Context, in *CreateBookRequest, opts ...grpc.CallOption) (*Book, error)
	GetBook(ctx context.Context, in *GetBookRequest, opts ...grpc.CallOption) (*Book, error)
	UpdateBook(ctx context.Context, in *UpdateBookRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	DeleteBook(ctx context.Context, in *DeleteBookRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ListBook(ctx context.Context, in *ListBookRequest, opts ...grpc.CallOption) (*ListBookResponse, error)
}

type booksClient struct {
	cc *grpc.ClientConn
}

func NewBooksClient(cc *grpc.ClientConn) BooksClient {
	return &booksClient{cc}
}

func (c *booksClient) CreateBook(ctx context.Context, in *CreateBookRequest, opts ...grpc.CallOption) (*Book, error) {
	out := new(Book)
	err := c.cc.Invoke(ctx, "/appointy.book.v1.Books/CreateBook", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *booksClient) GetBook(ctx context.Context, in *GetBookRequest, opts ...grpc.CallOption) (*Book, error) {
	out := new(Book)
	err := c.cc.Invoke(ctx, "/appointy.book.v1.Books/GetBook", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *booksClient) UpdateBook(ctx context.Context, in *UpdateBookRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/appointy.book.v1.Books/UpdateBook", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *booksClient) DeleteBook(ctx context.Context, in *DeleteBookRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/appointy.book.v1.Books/DeleteBook", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *booksClient) ListBook(ctx context.Context, in *ListBookRequest, opts ...grpc.CallOption) (*ListBookResponse, error) {
	out := new(ListBookResponse)
	err := c.cc.Invoke(ctx, "/appointy.book.v1.Books/ListBook", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// BooksServer is the server API for Books service.
type BooksServer interface {
	CreateBook(context.Context, *CreateBookRequest) (*Book, error)
	GetBook(context.Context, *GetBookRequest) (*Book, error)
	UpdateBook(context.Context, *UpdateBookRequest) (*empty.Empty, error)
	DeleteBook(context.Context, *DeleteBookRequest) (*empty.Empty, error)
	ListBook(context.Context, *ListBookRequest) (*ListBookResponse, error)
}

// UnimplementedBooksServer can be embedded to have forward compatible implementations.
type UnimplementedBooksServer struct {
}

func (*UnimplementedBooksServer) CreateBook(ctx context.Context, req *CreateBookRequest) (*Book, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateBook not implemented")
}
func (*UnimplementedBooksServer) GetBook(ctx context.Context, req *GetBookRequest) (*Book, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBook not implemented")
}
func (*UnimplementedBooksServer) UpdateBook(ctx context.Context, req *UpdateBookRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateBook not implemented")
}
func (*UnimplementedBooksServer) DeleteBook(ctx context.Context, req *DeleteBookRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteBook not implemented")
}
func (*UnimplementedBooksServer) ListBook(ctx context.Context, req *ListBookRequest) (*ListBookResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListBook not implemented")
}

func RegisterBooksServer(s *grpc.Server, srv BooksServer) {
	s.RegisterService(&_Books_serviceDesc, srv)
}

func _Books_CreateBook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateBookRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BooksServer).CreateBook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.book.v1.Books/CreateBook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BooksServer).CreateBook(ctx, req.(*CreateBookRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Books_GetBook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBookRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BooksServer).GetBook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.book.v1.Books/GetBook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BooksServer).GetBook(ctx, req.(*GetBookRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Books_UpdateBook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateBookRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BooksServer).UpdateBook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.book.v1.Books/UpdateBook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BooksServer).UpdateBook(ctx, req.(*UpdateBookRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Books_DeleteBook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteBookRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BooksServer).DeleteBook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.book.v1.Books/DeleteBook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BooksServer).DeleteBook(ctx, req.(*DeleteBookRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Books_ListBook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListBookRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BooksServer).ListBook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.book.v1.Books/ListBook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BooksServer).ListBook(ctx, req.(*ListBookRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Books_serviceDesc = grpc.ServiceDesc{
	ServiceName: "appointy.book.v1.Books",
	HandlerType: (*BooksServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateBook",
			Handler:    _Books_CreateBook_Handler,
		},
		{
			MethodName: "GetBook",
			Handler:    _Books_GetBook_Handler,
		},
		{
			MethodName: "UpdateBook",
			Handler:    _Books_UpdateBook_Handler,
		},
		{
			MethodName: "DeleteBook",
			Handler:    _Books_DeleteBook_Handler,
		},
		{
			MethodName: "ListBook",
			Handler:    _Books_ListBook_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "pb/book.proto",
}
